Bug 1568838 - [RFE] Handle multiple capsules' ssh keys
Summary: [RFE] Handle multiple capsules' ssh keys
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Remote Execution
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Adam Ruzicka
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 10:15 UTC by François Cami
Modified: 2019-10-07 17:13 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:20 UTC
Foreman Issue Tracker 24136 None None None 2018-07-03 07:20:37 UTC

Description François Cami 2018-04-18 10:15:04 UTC
Description of problem:

In an environment where capsule servers are added when capacity requires it, it is desirable to maintain the list of capsule servers' public keys centrally.

As not all clients have access to all the capsule due to network firewalls, either the Satellite has to maintain that list to be able to feed it to clients when they register through bootstrap.py or we need to have an API call that would pull all capsules' ssh keys and feed it back to the caller.

I'd rather we did #2, perhaps with caching mechanism.

Comment 2 Brad Buckingham 2018-04-19 16:34:32 UTC
Related to bug 1568848

Comment 4 Adam Ruzicka 2018-07-03 07:20:34 UTC
Created redmine issue http://projects.theforeman.org/issues/24136 from this bug

Comment 5 pm-sat@redhat.com 2018-09-26 12:04:24 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 6 pm-sat@redhat.com 2018-09-26 12:04:28 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 7 pm-sat@redhat.com 2018-10-02 16:04:37 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24136 has been resolved.

Comment 8 Peter Ondrejka 2018-11-08 09:32:19 UTC
Verified on Satellite 6.5 snap 2, the API exposes remote_execution_pubkey for capsule as requested

Comment 11 errata-xmlrpc 2019-05-14 12:37:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.